Bug 1124572 - keystonerc parameter should be true by default
Summary: keystonerc parameter should be true by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: Foreman (RHEL 6)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ga
: Installer
Assignee: Scott Seago
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 20:27 UTC by Crag Wolfe
Modified: 2014-08-21 18:06 UTC (History)
3 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.2.1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:06:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Crag Wolfe 2014-07-29 20:27:09 UTC
Description of problem:

The parameter keystonerc, available in both non-HA controllers and the HA controller manifests, is set to false by the staypuft wizard installer.  This can make it mildly tedious for users to craft their own in order to access the OpenStack CLI's, rather than have /root/keystonerc_admin already present.

Comment 1 Alexander Chuzhoy 2014-07-29 20:29:04 UTC
Should be enabled by default. :)

Comment 3 Scott Seago 2014-08-06 15:12:17 UTC
https://github.com/theforeman/staypuft/pull/255

Comment 5 Omri Hochman 2014-08-10 14:36:59 UTC
Verified: ruby193-rubygem-staypuft-0.2.2-1.el6ost.noarch

The file is now created by default.

Comment 6 errata-xmlrpc 2014-08-21 18:06:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.